data:extend({


--CRAFTING

  {
	type = "recipe",
	name = "empty-canister",
	--category = "crafting",
	energy_required = 2,
	subgroup = "barrel",
	order = "b",
	enabled = "true",
	icon = "__canister__/graphics/empty-canister.png",
	ingredients = 
	{
		{type = "item", name= "steel-plate", amount = 1}
	},
	results = 
	{
		{type = "item", name= "empty-canister", amount = 50}
	}
  },

--CRAFTING WITH FLUID


--[[
  {
	type = "recipe",
	name = "crude-oil-canister",
	category = "crafting-with-fluid",
	energy_required = 1,
	subgroup = "barrel",
	order = "b",
	enabled = "true",
	icon = "__canister__/graphics/crude-oil-canister.png",
	ingredients = 
	{
		{type = "item", name= "empty-canister", amount = 1},
		{type = "fluid", name= "crude-oil", amount = 0.5}
	},
	results = 
	{
		{type = "item", name= "crude-oil-canister", amount = 1}
	}
  },
--]]


  {
	type = "recipe",
	name = "heavy-oil-canister",
	category = "crafting-with-fluid",
	energy_required = 1,
	subgroup = "barrel",
	order = "b",
	enabled = "true",
	icon = "__canister__/graphics/heavy-oil-canister.png",
	ingredients = 
	{
		{type = "item", name= "empty-canister", amount = 1},
		{type = "fluid", name= "heavy-oil", amount = 0.5}
	},
	results = 
	{
		{type = "item", name= "heavy-oil-canister", amount = 1}
	}
  },
  {
	type = "recipe",
	name = "light-oil-canister",
	category = "crafting-with-fluid",
	energy_required = 1,
	subgroup = "barrel",
	order = "b",
	enabled = "true",
	icon = "__canister__/graphics/light-oil-canister.png",
	ingredients = 
	{
		{type = "item", name= "empty-canister", amount = 1},
		{type = "fluid", name= "light-oil", amount = 0.5}
	},
	results = 
	{
		{type = "item", name= "light-oil-canister", amount = 1}
	}
  },
  {
	type = "recipe",
	name = "petroleum-gas-canister",
	category = "crafting-with-fluid",
	energy_required = 1,
	subgroup = "barrel",
	order = "b",
	enabled = "true",
	icon = "__canister__/graphics/petroleum-gas-canister.png",
	ingredients = 
	{
		{type = "item", name= "empty-canister", amount = 1},
		{type = "fluid", name= "petroleum-gas", amount = 0.5}
	},
	results = 
	{
		{type = "item", name= "petroleum-gas-canister", amount = 1}
	}
  },
  {
	type = "recipe",
	name = "sulfuric-acid-canister",
	category = "crafting-with-fluid",
	energy_required = 1,
	subgroup = "barrel",
	order = "b",
	enabled = "true",
	icon = "__canister__/graphics/sulfuric-acid-canister.png",
	ingredients = 
	{
		{type = "item", name= "empty-canister", amount = 1},
		{type = "fluid", name= "sulfuric-acid", amount = 0.5}
	},
	results = 
	{
		{type = "item", name= "sulfuric-acid-canister", amount = 1}
	}
  },
  {
	type = "recipe",
	name = "lubricant-canister",
	category = "crafting-with-fluid",
	energy_required = 1,
	subgroup = "barrel",
	order = "b",
	enabled = "true",
	icon = "__canister__/graphics/lubricant-canister.png",
	ingredients = 
	{
		{type = "item", name= "empty-canister", amount = 1},
		{type = "fluid", name= "lubricant", amount = 0.5}
	},
	results = 
	{
		{type = "item", name= "lubricant-canister", amount = 1}
	}
  },
  {
	type = "recipe",
	name = "water-canister",
	category = "crafting-with-fluid",
	energy_required = 1,
	subgroup = "barrel",
	--order = "b",
	enabled = "true",
	icon = "__canister__/graphics/water-canister.png",
	ingredients = 
	{
		{type = "item", name= "empty-canister", amount = 1},
		{type = "fluid", name= "water", amount = 0.5}
	},
	results = 
	{
		{type = "item", name= "water-canister", amount = 1}
	}
  },

--CRAFTING WITH FLUID (ITEMS)

{
    type = "recipe",
    name = "express-transport-beltalt",
    category = "crafting-with-fluid",
    enabled = "false",
    ingredients =
    {
      {"iron-gear-wheel", 5},
      {"fast-transport-belt", 1},
      {type="item", name="lubricant-canister", amount=4},
    },
    result = "express-transport-belt"
  },
 {
    type = "recipe",
    name = "express-splitteralt",
    category = "crafting-with-fluid",
    enabled = "false",
    energy_required = 2,
    ingredients =
    {
      {"fast-splitter", 1},
      {"iron-gear-wheel", 10},
      {"advanced-circuit", 10},
      {type="item", name="lubricant-canister", amount=16}
    },
    result = "express-splitter"
  },
  {
    type = "recipe",
    name = "electric-engine-unitalt",
    category = "crafting-with-fluid",
    enabled = "false",
    energy_required = 20,
    ingredients =
    {
      {"engine-unit", 1},
      {type="item", name="lubricant-canister", amount = 4},
      {"electronic-circuit", 2}
    },
    result = "electric-engine-unit",
  },
--[[
  {
    type = "recipe",
    name = "processing-unit",
    category = "crafting-with-fluid",
    enabled = "false",
    energy_required = 15,
    icon = "__canister__/graphics/processing-unit.png",
    ingredients =
    {
      {"electronic-circuit", 20},
      {"advanced-circuit", 2},
      {type="fluid", name = "sulfuric-acid", amount = 0.5}
    },
    result = "processing-unit"
  },
--]]
  {
    type = "recipe",
    name = "processing-unitalt",
    category = "crafting-with-fluid",
    enabled = "false",
    energy_required = 15,
    icon = "__canister__/graphics/processing-unitalt.png",
    ingredients =
    {
      {"electronic-circuit", 20},
      {"advanced-circuit", 2},
      {type="item", name = "sulfuric-acid-canister", amount = 1}
    },
    result = "processing-unit"
  },


--CHEMISTRY

  {
    type = "recipe",
    name = "flame-thrower-ammoalt",
    category = "chemistry",
    enabled = "false",
    energy_required = 3,
    ingredients =
    {
      {type="item", name="iron-plate", amount=5},
      {type="item", name="light-oil-canister", amount=5},
      {type="item", name="heavy-oil-canister", amount=5}
    },
    result = "flame-thrower-ammo"
  },
  {
    type = "recipe",
    name = "plastic-baralt",
    category = "chemistry",
    energy_required = 1,
    enabled = "false",
    ingredients =
    {
      {type="item", name="petroleum-gas-canister", amount=6},
      {type="item", name="coal", amount=1}
    },
    results=
    {
      {type="item", name="plastic-bar", amount=2}
    }
  },
  {
    type = "recipe",
    name = "sulfuralt",
    category = "chemistry",
    energy_required = 1,
    enabled = "false",
    ingredients =
    {
      {type="item", name="petroleum-gas-canister", amount=6},
      {type="item", name="water-canister", amount=6}
    },
    results=
    {
      {type="item", name="sulfur", amount=2}
    }
  },
  {
    type = "recipe",
    name = "explosivesalt",
    energy_required = 5,
    enabled = "false",
    category = "chemistry",
    ingredients =
    {
      {type="item", name="sulfur", amount=1},
      {type="item", name="coal", amount=1},
      {type="item", name="water-canister", amount=2},
    },
    result= "explosives"
  },
  {
    type = "recipe",
    name = "batteryalt",
    category = "chemistry",
    energy_required = 5,
    enabled = "false",
    ingredients =
    {
      {type="item", name="sulfuric-acid-canister", amount=4},
      {"iron-plate", 1},
      {"copper-plate", 1}
    },
    result= "battery"
  },
  {
    type = "recipe",
    name = "lubricantalt",
    category = "chemistry",
    enabled = "false",
    energy_required = 1,
    ingredients =
    {
      {type="item", name="heavy-oil-canister", amount=2}
    },
    results=
    {
      {type="item", name="lubricant-canister", amount=2}
    }
  },

--[[
  {
    type = "recipe",
    name = "sulfuric-acid-canister1",
    category = "chemistry",
    energy_required = 1,
    enabled = "false",
    icon = "__canister__/graphics/sulfuric-acid-canister1.png",
    ingredients =
    {
      {type="item", name="sulfur", amount=5},
      {type="item", name="iron-plate", amount=1},
      {type="item", name="water-canister", amount=20}
    },
    results=
    {
      {type="item", name="sulfuric-acid-canister", amount=10}
    }
  },
  {
    type = "recipe",
    name = "sulfuric-acid-canister2",
    category = "chemistry",
    energy_required = 1,
    enabled = "false",
    icon = "__canister__/graphics/sulfuric-acid-canister2.png",
    ingredients =
    {
      {type="item", name="sulfur", amount=5},
      {type="item", name="iron-plate", amount=1},
      {type="fluid", name="water", amount=10}
    },
    results=
    {
      {type="item", name="sulfuric-acid-canister", amount=10}
    }
    
  },

--]]



})